"""Module specifies functionality for parsing JSON."""

import json
import urllib.request

from cve_connector.vendor_cve.implementation.parsers.general_and_format_parsers\
    .general_parser import GeneralParser


class JsonParser(GeneralParser):
    """
    Parser for parsing JSONs from vendor websites.
    """
    def __init__(self, url):
        super().__init__(url)

    def load_content(self):
        """
        Downloads content from URL.

        :return: None
        """
        with urllib.request.urlopen(self.url) as url:
            data = json.loads(url.read().decode())
            self.data = data

    def load_content_from_file(self, filename):
        """
        Loads content from specified file.

        :param filename: name of file from which the loading is done
        :return: None
        """
        with open(filename) as json_data:
            data = json.load(json_data)
            self.data = data

    def parse(self):
        pass
