"""Module contains class for storing information about CVEs from vendor Apple."""

from cve_connector.vendor_cve.implementation.vendors_storage_structures.general_vendor import Vendor

from cve_connector.vendor_cve.implementation.utilities.check_correctness import is_correct_cve_id


class Apple(Vendor):
    """
    Class for storing information about CVEs from vendor Apple.
    """
    def __init__(self, cve_id='', available_for='', impact='', description='',
                 published=None, descr_all=''):
        super().__init__()
        self.cve_id = cve_id
        self.available_for = available_for
        self.impact = impact
        self.published = published
        self.description = descr_all

        self.patch_available = True

    def is_valid_entity(self):
        """
        Tests correctness of created instance of this class.

        :return: True if valid
        """
        return is_correct_cve_id(self.cve_id)
