"""Module contains general structure of vendor's data."""

from abc import ABC, abstractmethod


class Vendor(ABC):
    """
    Superclass for vendor storage structures.
    """
    def __init__(self, cve='', desc='', published=None, patch=False):
        self.cve_id = cve
        self.description = desc
        self.published = published
        self.patch_available = patch

    @abstractmethod
    def is_valid_entity(self):
        """
        Test correctness of created instance of this class (subclass).
        :return:
        """
        pass
