# Vulnerability Component
Vulnerability component is CRUSOE component developed for detection of vulnerable services, botnet infection as well as services opened to world.
Detection is performed via analysis of information from Shadowserver and Shodan. 

## Design
Component consists of 2 submodules: `shadowserver_module` and `shodan_module`.

##### Shadowserver module
1. `Download.py` is used for downloading and preprocessing information from Shadowserver.
2. `Remove.py` is used for removing old, not needable data.
3. `Neo4j.py` is preparing JSON with structured information about all the discoveries.
4. `Shadowserver.py` is program entry, main.

##### Shodan module
1. `Shodan_config.json` contains configuration data for Shodan module.
2. `Shodan.py` is responsible for acquiring, processing and outputing information from Shodan.


## Required packages/versions
At least `Python3.7`.

Required packages are specified in `setup.py` and they will be installed when you use one of the installation methods below.

## Usage

### Install

```bash
$ pip install .
```

### Running

```python
# Shadowserver submodule
>>> from shadowserver_module import Shadowserver
>>> Shadowserver.process_vulnerabilities('/path/where/Shadowserver/data/will/be/stored', 
                                         'shadowserver login', 'Shadowserver password', 
                                         '/path/where/resulting/json/will/be/created', 
                                         'name of resulting json', 
                                         'instance of logger which will be used')
'Statistics: 15 types of vulnerabilities were reviewed, 188 security events were written to output file.'

# Shodan submodule
>>> from shodan_module import Shodan
>>> Shodan.process_vulnerabilities('/path/to/Shodan_config.json', 
                                   'shodan api key', 'reviewed subnets', 
                                   '/path/where/resulting/json/will/be/created',  
                                   'name of resulting json', 
                                   'instance of logger which will be used')
'Statistics: 1 subnet was tested, 23 types of vulnerabilities were reviewed, nothing was created.'    

```
